-- ========================== iphlpapi-helpers.ads ===========================
-- 
--  Copyright 2001 by Craig Spannring
-- 
--  Def:   helper functions for using iphlpapi.thin
-- 
-- ===========================================================================


with Iphlpapi.Thin; use Iphlpapi.Thin;


package Iphlpapi.Helpers is 
   rcs_spec_revision_id: constant string := "$Header: /home/cts/PersonalRepository/iphlpapi/iphlpapi-helpers.ads,v 1.1.1.1.2.4 2001/03/24 04:32:53 cts Exp $";
   
   ---
   -- Convert a DWORD from network to host byte order
   -- 
   function Net_To_Host_Dword(V: DWORD) return DWORD;
   
   ---
   -- 
   --
   function Host_To_Net_Dword(V: DWORD) return DWORD;
   
   function Ip_Address_To_String(Addr: DWORD) return String;
   function String_To_Ip_Address(Addr: String) return DWORD;
   
   function String_To_Ethernet_Address(Addr: String) return PHYSADDR_BUFFER;
   function Ethernet_Address_to_string(Addr: PHYSADDR_BUFFER) return String;
   
   function Physical_Address_to_string(Addr:     PHYSADDR_BUFFER;
                                       Addr_Len: Positive := PHYSADDR_BUFFER'length) return String;
   
   function To_String(Descr:   MIB_IFROW_If_Descr;
                      Length:  natural) return String;
   
   Invalid_Address:  exception;
end Iphlpapi.Helpers;
